## groovy.xml
Class NamespaceBuilder

A helper class for creating namespaces for GroovyMarkup

author:
  James Strachan

version:
  $Revision: 6778 $

Field Summary
`BuilderSupport` | `builder`

Constructor Summary
`NamespaceBuilder(BuilderSupport builder)`

Method Summary
`NamespaceBuilderSupport` | `namespace(String uri)`
`NamespaceBuilderSupport` | `namespace(String uri, String prefix)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri)`
`static NamespaceBuilderSupport` | `newInstance(BuilderSupport builder, String uri, String prefix)`

Constructor Detail

### NamespaceBuilder

    public NamespaceBuilder(BuilderSupport builder)

Method Detail

### namespace

    public NamespaceBuilderSupport namespace(String uri)

### namespace

    public NamespaceBuilderSupport namespace(String uri, String prefix)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri)

### newInstance

    public static NamespaceBuilderSupport newInstance(BuilderSupport builder, String uri, String prefix)